#pragma once
#include <string>

namespace dropshelltool {

class BashrcEditor {
public:
    BashrcEditor();
    // Checks if the unique block with the source line exists
    bool hasSourceLine() const;
    // Adds or updates the unique block with the given scriptPath
    void addSourceLine();
    // Removes the unique block
    void removeSourceLine();
}; 

} // namespace dropshelltool